
Redmine - Defect #7680

Missing routes for wiki

2011-02-21 21:06 - Thibaut Cuvelier

Status: Closed Start date: 2011-02-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.1

Description

A user just emailed me about non functioning wiki - it was just impossible to edit any wiki page, because of 404 errors. I got

redirected to URLs like redmine/wiki/history?page=Wiki, which just made Redmine complaining about URLs it gave.

I'm using the SVN version, rev 4917 as said by svn update:

Path: .

URL: http://redmine.rubyforge.org/svn/branches/1.1-stable

Repository Root: http://redmine.rubyforge.org/svn

Repository UUID: e93f8b46-1217-0410-a6f0-8f06a7374b81

Revision: 4917

Node Kind: directory

Schedule: normal

Last Changed Author: tmaruyama

Last Changed Rev: 4877

Last Changed Date: 2011-02-18 14:48:29 +0100 (Fri, 18 Feb 2011)

History

#1 - 2011-02-24 19:07 - Jean-Philippe Lang

Can not reproduce with a fresh checkout.

#2 - 2011-03-05 15:53 - Artur Nek

Jean-Philippe Lang wrote:

Can not reproduce with a fresh checkout.

 I updated Redmine on this link  and I have the same problem

#3 - 2011-03-05 17:17 - Etienne Massip

What's your redmine and http server logs look like ?

#4 - 2011-03-05 17:18 - Thibaut Cuvelier

You could also try to deactivate all of your plug-ins, that just did for me.

#5 - 2011-03-05 19:06 - Artur Nek

Etienne Massip wrote:

What's your redmine and http server logs look like ?

 When I click on the "Edit" button, I get the following link on all wiki pages

http://test.com/wiki/edit?page=test (root page) or

http://test.com/wiki/test/test/edit (other pages)

and this error

404
http://rubyforge.org/frs/download.php/74128/redmine-1.1.1.tar.gz
http://test.com/wiki/edit?page=test
http://test.com/wiki/test/test/edit


After I manually enter the link and everything works

http://test.com/projects/demonstr/wiki/test/edit

But, there are no errors in logs

#6 - 2011-03-05 19:20 - Artur Nek

Thibaut Cuvelier wrote:

You could also try to deactivate all of your plug-ins, that just did for me.

 How to do it?

#7 - 2011-03-05 19:22 - Thibaut Cuvelier

Artur Nek wrote:

Thibaut Cuvelier wrote:

You could also try to deactivate all of your plug-ins, that just did for me.

 How to do it?

 Go to your plug-ins folder (vendor/plugins) and move somewhere else everything that is not included with Redmine (cf. repo for the list). Check it

works. Then move back your plug-ins one by one, checking which one is culprit.

#8 - 2011-03-06 04:32 - Artur Nek

Thibaut Cuvelier wrote:

Artur Nek wrote:

Thibaut Cuvelier wrote:

You could also try to deactivate all of your plug-ins, that just did for me.

 How to do it?

 Go to your plug-ins folder (vendor/plugins) and move somewhere else everything that is not included with Redmine (cf. repo for the list). Check it

works. Then move back your plug-ins one by one, checking which one is culprit.

 Thank you! error was in the plugin wiki permission. Everything was fine.

#9 - 2011-03-06 20:13 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

#10 - 2011-03-25 10:16 - Nguyen Hoang

Hi

I am facing same problem...how did you solve it? i don't want to remove the plugin wiki permission

Thanks in advanced

Jerry
